diff --git a/ext/soundtouch/meson.build b/ext/soundtouch/meson.build
index 83967e5..9ace5c9 100644
--- a/ext/soundtouch/meson.build
+++ b/ext/soundtouch/meson.build
@@ -32,7 +32,7 @@ if soundtouch_dep.found()
     c_args : gst_plugins_bad_args + soundtouch_cargs,
     cpp_args : gst_plugins_bad_args + soundtouch_cargs,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, soundtouch_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, soundtouch_dep],
     install : true,
     install_dir : plugins_install_dir)
   plugins += [gstsoundtouch]
diff --git a/ext/spandsp/meson.build b/ext/spandsp/meson.build
index 7725d98..e25a502 100644
--- a/ext/spandsp/meson.build
+++ b/ext/spandsp/meson.build
@@ -15,7 +15,7 @@ if spandsp_dep.found()
     spandsp_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, spandsp_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, spandsp_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/srt/meson.build b/ext/srt/meson.build
index ce4dee0..82f9193 100644
--- a/ext/srt/meson.build
+++ b/ext/srt/meson.build
@@ -31,7 +31,7 @@ if srt_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstbase_dep, gio_dep, srt_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gio_dep, srt_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/srtp/meson.build b/ext/srtp/meson.build
index d15d58c..d32674d 100644
--- a/ext/srtp/meson.build
+++ b/ext/srtp/meson.build
@@ -37,7 +37,7 @@ if srtp_dep.found()
     c_args : gst_plugins_bad_args + srtp_cargs,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstrtp_dep, gstvideo_dep, srtp_dep],
+    dependencies : [glib_dep, gobject_dep, gstrtp_dep, gstvideo_dep, srtp_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/svtav1/meson.build b/ext/svtav1/meson.build
index 202720c..ca97833 100644
--- a/ext/svtav1/meson.build
+++ b/ext/svtav1/meson.build
@@ -9,7 +9,7 @@ if svtav1_dep.found()
     svtav1_sources,
     c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstvideo_dep, svtav1_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, svtav1_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/svthevcenc/meson.build b/ext/svthevcenc/meson.build
index bdefed8..b3d902b 100644
--- a/ext/svthevcenc/meson.build
+++ b/ext/svthevcenc/meson.build
@@ -9,7 +9,7 @@ if svthevcenc_dep.found()
     svthevcenc_sources,
     c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstpbutils_dep, gstvideo_dep, gstcodecparsers_dep, svthevcenc_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstpbutils_dep, gstvideo_dep, gstcodecparsers_dep, svthevcenc_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/teletextdec/meson.build b/ext/teletextdec/meson.build
index 9f06fc0..b59b51c 100644
--- a/ext/teletextdec/meson.build
+++ b/ext/teletextdec/meson.build
@@ -6,7 +6,7 @@ if zvbi_dep.found()
     c_args: gst_plugins_bad_args,
     link_args: noseh_link_args,
     include_directories: [configinc],
-    dependencies: [gstvideo_dep, zvbi_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, zvbi_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/ttml/meson.build b/ext/ttml/meson.build
index 8b7dcc4..e6dd506 100644
--- a/ext/ttml/meson.build
+++ b/ext/ttml/meson.build
@@ -14,7 +14,7 @@ if libxml_dep.found() and pango_dep.found() and cairo_dep.found() and pangocairo
      'gstttmlplugin.c'],
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, libxml_dep, pango_dep, cairo_dep, pangocairo_dep, libm],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, libxml_dep, pango_dep, cairo_dep, pangocairo_dep, libm],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/voaacenc/meson.build b/ext/voaacenc/meson.build
index ab641b6..160df81 100644
--- a/ext/voaacenc/meson.build
+++ b/ext/voaacenc/meson.build
@@ -8,7 +8,7 @@ if voaac_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstpbutils_dep, gstaudio_dep, voaac_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstpbutils_dep, gstaudio_dep, voaac_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/voamrwbenc/meson.build b/ext/voamrwbenc/meson.build
index 4399c3f..e225c48 100644
--- a/ext/voamrwbenc/meson.build
+++ b/ext/voamrwbenc/meson.build
@@ -6,7 +6,7 @@ if voamrwbenc_dep.found()
     c_args: gst_plugins_bad_args,
     link_args: noseh_link_args,
     include_directories: [configinc],
-    dependencies: [gstaudio_dep, gstpbutils_dep, gsttag_dep, voamrwbenc_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstpbutils_dep, gsttag_dep, voamrwbenc_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/vulkan/meson.build b/ext/vulkan/meson.build
index 1d4d0dd..9973f58 100644
--- a/ext/vulkan/meson.build
+++ b/ext/vulkan/meson.build
@@ -52,7 +52,7 @@ gstvulkan_plugin = library('gstvulkan',
   objc_args : gst_plugins_bad_args,
   link_args : noseh_link_args,
   include_directories : [configinc],
-  dependencies : [gstvideo_dep, gstbase_dep, gstvulkan_dep, vulkan_dep, gio_dep] + extra_deps,
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstbase_dep, gstvulkan_dep, vulkan_dep, gio_dep] + extra_deps,
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/ext/wayland/meson.build b/ext/wayland/meson.build
index 29c7e2f..d3ec807 100644
--- a/ext/wayland/meson.build
+++ b/ext/wayland/meson.build
@@ -8,7 +8,7 @@ if use_wayland
         wl_sources,
         c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
         include_directories : [configinc],
-        dependencies : [gst_dep, gstvideo_dep, gstwayland_dep],
+        dependencies : [glib_dep, gobject_dep, gst_dep, gstvideo_dep, gstwayland_dep],
         install : true,
         install_dir : plugins_install_dir,
     )
diff --git a/ext/webp/meson.build b/ext/webp/meson.build
index 1d9f63a..5109fc6 100644
--- a/ext/webp/meson.build
+++ b/ext/webp/meson.build
@@ -12,7 +12,7 @@ if webp_dep.found() and webpmux_dep.found()
     webp_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, webp_dep, webpmux_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, webp_dep, webpmux_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/webrtc/meson.build b/ext/webrtc/meson.build
index 151cb9a..e45b38f 100644
--- a/ext/webrtc/meson.build
+++ b/ext/webrtc/meson.build
@@ -22,7 +22,7 @@ gstwebrtc_plugin = library('gstwebrtc',
   webrtc_sources,
   c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstsdp_dep,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstsdp_dep,
                   gstapp_dep, gstwebrtc_dep, gstsctp_dep, gstrtp_dep, gio_dep, libgstwebrtcnice_dep],
   install : true,
   install_dir : plugins_install_dir,
diff --git a/ext/webrtcdsp/meson.build b/ext/webrtcdsp/meson.build
index d915e05..fb8551b 100644
--- a/ext/webrtcdsp/meson.build
+++ b/ext/webrtcdsp/meson.build
@@ -13,7 +13,7 @@ if webrtc_dep.found()
     cpp_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstaudio_dep, gstbadaudio_dep, webrtc_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, gstbadaudio_dep, webrtc_dep],
     install : true,
     install_dir : plugins_install_dir,
     override_options : ['cpp_std=c++17'],
diff --git a/ext/wildmidi/meson.build b/ext/wildmidi/meson.build
index cd71f39..efaba4d 100644
--- a/ext/wildmidi/meson.build
+++ b/ext/wildmidi/meson.build
@@ -26,7 +26,7 @@ if wildmidi_dep.found()
     'gstwildmididec.c',
     c_args: gst_plugins_bad_args,
     include_directories: [configinc],
-    dependencies: [gstaudio_dep, gstbadaudio_dep, wildmidi_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstbadaudio_dep, wildmidi_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/wpe/meson.build b/ext/wpe/meson.build
index ac94f33..5266a6f 100644
--- a/ext/wpe/meson.build
+++ b/ext/wpe/meson.build
@@ -57,7 +57,7 @@ wpe_extension_install_dir = get_option('prefix') / get_option('libdir') / meson.
 building_wpe = true
 gstwpe = library('gstwpe',
   ['gstwpethreadedview.cpp', 'gstwpe.cpp', 'gstwpevideosrc.cpp', 'gstwpesrcbin.cpp'],
-  dependencies : [egl_dep, wpewebkit_dep, wpe_fdo_dep, gstallocators_dep, gstaudio_dep, gstvideo_dep,
+  dependencies : [glib_dep, gobject_dep, egl_dep, wpewebkit_dep, wpe_fdo_dep, gstallocators_dep, gstaudio_dep, gstvideo_dep,
     gstbase_dep, gstgl_dep, xkbcommon_dep, wl_server_dep, giounix_dep],
   cpp_args : gst_plugins_bad_args + ['-DHAVE_CONFIG_H=1',
     '-DWPE_EXTENSION_INSTALL_DIR=' + wpe_extension_install_dir] + gst_wpe_c_args,
diff --git a/ext/wpe/wpe-extension/meson.build b/ext/wpe/wpe-extension/meson.build
index 232ce05..5fee6e0 100644
--- a/ext/wpe/wpe-extension/meson.build
+++ b/ext/wpe/wpe-extension/meson.build
@@ -1,6 +1,6 @@
 library('gstwpeextension',
   ['gstwpeextension.c', 'gstwpeaudiosink.c', 'gstwpebusmsgforwarder.c'],
-  dependencies : [wpewebkit_dep, gst_dep, gstbase_dep, giounix_dep],
+  dependencies : [glib_dep, gobject_dep, wpewebkit_dep, gst_dep, gstbase_dep, giounix_dep],
   c_args : ['-DHAVE_CONFIG_H=1'] + gst_wpe_c_args,
   include_directories : [configinc],
   install : true,
diff --git a/ext/x265/meson.build b/ext/x265/meson.build
index 2ecf99e..f095a92 100644
--- a/ext/x265/meson.build
+++ b/ext/x265/meson.build
@@ -9,7 +9,7 @@ if x265_dep.found()
     'gstx265enc.c',
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstpbutils_dep, gstvideo_dep, x265_dep],
+    dependencies : [glib_dep, gobject_dep, gstpbutils_dep, gstvideo_dep, x265_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/zbar/meson.build b/ext/zbar/meson.build
index f99f53f..8420efe 100644
--- a/ext/zbar/meson.build
+++ b/ext/zbar/meson.build
@@ -4,7 +4,7 @@ if zbar_dep.found()
     'gstzbar.c',
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [ gstvideo_dep, zbar_dep ],
+    dependencies : [glib_dep, gobject_dep,  gstvideo_dep, zbar_dep ],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/zxing/meson.build b/ext/zxing/meson.build
index 2dbad9a..d68d1cd 100644
--- a/ext/zxing/meson.build
+++ b/ext/zxing/meson.build
@@ -9,7 +9,7 @@ if zxing_dep.found()
 	  c_args : gst_plugins_bad_args,
 	  cpp_args: '-DZX_USE_UTF8',
 	  include_directories : [configinc],
-	  dependencies : [gstvideo_dep, zxing_dep],
+	  dependencies : [glib_dep, gobject_dep, gstvideo_dep, zxing_dep],
 	  install : true,
 	  install_dir : plugins_install_dir,
 	  override_options : ['cpp_std=c++17'],
diff --git a/gst-libs/gst/adaptivedemux/meson.build b/gst-libs/gst/adaptivedemux/meson.build
index 790a529..a531936 100644
--- a/gst-libs/gst/adaptivedemux/meson.build
+++ b/gst-libs/gst/adaptivedemux/meson.build
@@ -10,12 +10,12 @@ gstadaptivedemux = library('gstadaptivedemux-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstbase_dep, gsturidownloader_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gsturidownloader_dep],
 )
 gst_libraries += [[pkg_name, {'lib': gstadaptivedemux}]]
 
 gstadaptivedemux_dep = declare_dependency(link_with : gstadaptivedemux,
   include_directories : [libsinc],
-  dependencies : [gstbase_dep, gsturidownloader_dep])
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gsturidownloader_dep])
 
 meson.override_dependency(pkg_name, gstadaptivedemux_dep)
\ No newline at end of file
diff --git a/gst-libs/gst/analytics/meson.build b/gst-libs/gst/analytics/meson.build
index a2886e2..30a2a04 100644
--- a/gst-libs/gst/analytics/meson.build
+++ b/gst-libs/gst/analytics/meson.build
@@ -20,7 +20,7 @@ gstanalytics = library('gstanalytics-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstbase_dep, gstvideo_dep])
+  dependencies : [glib_dep, gobject_dep, glib_dep, gobject_dep, gstbase_dep, gstvideo_dep])
 
 gst_libraries += [[pkg_name, {'lib': gstanalytics}]]
 pkgconfig.generate(gstanalytics,
@@ -59,6 +59,6 @@ gst_libraries += [[pkg_name, library_def]]
 gstanalytics_dep = declare_dependency(link_with : gstanalytics,
   include_directories : [libsinc],
   sources: gen_sources,
-  dependencies : [gstbase_dep, gstvideo_dep])
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep])
 
 meson.override_dependency(pkg_name, gstanalytics_dep)
diff --git a/gst-libs/gst/audio/meson.build b/gst-libs/gst/audio/meson.build
index e9eb653..c0d0689 100644
--- a/gst-libs/gst/audio/meson.build
+++ b/gst-libs/gst/audio/meson.build
@@ -11,7 +11,7 @@ gstbadaudio = library('gstbadaudio-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstaudio_dep, gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstbase_dep],
 )
 
 library_def = {'lib': gstbadaudio}
@@ -50,6 +50,6 @@ gst_libraries += [[pkg_name, library_def]]
 gstbadaudio_dep = declare_dependency(link_with : gstbadaudio,
   include_directories : [libsinc],
   sources: gen_sources,
-  dependencies : [gstaudio_dep, gstbase_dep])
+  dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstbase_dep])
 
 meson.override_dependency(pkg_name, gstbadaudio_dep)
diff --git a/gst-libs/gst/basecamerabinsrc/meson.build b/gst-libs/gst/basecamerabinsrc/meson.build
index d39db68..fc7575d 100644
--- a/gst-libs/gst/basecamerabinsrc/meson.build
+++ b/gst-libs/gst/basecamerabinsrc/meson.build
@@ -19,7 +19,7 @@ gstbasecamerabin = library('gstbasecamerabinsrc-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstapp_dep],
+  dependencies : [glib_dep, gobject_dep, gstapp_dep],
 )
 
 library_def = {'lib': gstbasecamerabin}
@@ -51,5 +51,5 @@ gst_libraries += [[pkg_name, library_def]]
 gstbasecamerabin_dep = declare_dependency(link_with : gstbasecamerabin,
   include_directories : [libsinc],
   sources: gen_sources,
-  dependencies : [gstapp_dep])
+  dependencies : [glib_dep, gobject_dep, gstapp_dep])
 meson.override_dependency(pkg_name, gstbasecamerabin_dep)
diff --git a/gst-libs/gst/codecparsers/meson.build b/gst-libs/gst/codecparsers/meson.build
index 7e96835..c14606a 100644
--- a/gst-libs/gst/codecparsers/meson.build
+++ b/gst-libs/gst/codecparsers/meson.build
@@ -54,7 +54,7 @@ gstcodecparsers = library('gstcodecparsers-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstbase_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, libm],
 )
 
 pkg_name = 'gstreamer-codecparsers-1.0'
@@ -68,7 +68,7 @@ pkgconfig.generate(gstcodecparsers,
 
 gstcodecparsers_dep = declare_dependency(link_with : gstcodecparsers,
   include_directories : [libsinc],
-  dependencies : [gstbase_dep])
+  dependencies : [glib_dep, gobject_dep, gstbase_dep])
 
 gst_libraries += [[pkg_name, {'lib': gstcodecparsers}]]
 meson.override_dependency(pkg_name, gstcodecparsers_dep)
diff --git a/gst-libs/gst/codecs/meson.build b/gst-libs/gst/codecs/meson.build
index a4a980b..7c4ee41 100644
--- a/gst-libs/gst/codecs/meson.build
+++ b/gst-libs/gst/codecs/meson.build
@@ -46,7 +46,7 @@ gstcodecs = library('gstcodecs-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstvideo_dep, gstcodecparsers_dep],
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstcodecparsers_dep],
 )
 
 library_def = {'lib': gstcodecs}
@@ -83,5 +83,5 @@ gst_libraries += [[pkg_name, library_def]]
 gstcodecs_dep = declare_dependency(link_with : gstcodecs,
   include_directories : [libsinc],
   sources: gen_sources,
-  dependencies : [gstvideo_dep, gstcodecparsers_dep])
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstcodecparsers_dep])
 meson.override_dependency(pkg_name, gstcodecs_dep)
diff --git a/gst-libs/gst/cuda/meson.build b/gst-libs/gst/cuda/meson.build
index 5a60d0f..22f3e45 100644
--- a/gst-libs/gst/cuda/meson.build
+++ b/gst-libs/gst/cuda/meson.build
@@ -91,7 +91,7 @@ gstcuda= library('gstcuda-' + api_version,
   version : libversion,
   soversion : soversion,
   install : true,
-  dependencies : [gstbase_dep, gmodule_dep, gstvideo_dep, gstglproto_dep, gstd3d11_dep, gstcuda_platform_dep]
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gmodule_dep, gstvideo_dep, gstglproto_dep, gstd3d11_dep, gstcuda_platform_dep]
 )
 
 gen_sources = []
@@ -149,7 +149,7 @@ pkgconfig.generate(gstcuda,
 install_headers(cuda_headers + ['cuda-gst.h', 'gstcuda.h'], subdir : 'gstreamer-1.0/gst/cuda')
 gstcuda_dep = declare_dependency(link_with : gstcuda,
   include_directories : [libsinc],
-  dependencies : [gstbase_dep, gmodule_dep, gstvideo_dep, gstglproto_dep, gstcuda_platform_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gmodule_dep, gstvideo_dep, gstglproto_dep, gstcuda_platform_dep],
   sources: gen_sources)
 
 meson.override_dependency(pkg_name, gstcuda_dep)
diff --git a/gst-libs/gst/d3d11/meson.build b/gst-libs/gst/d3d11/meson.build
index d06c136..f166752 100644
--- a/gst-libs/gst/d3d11/meson.build
+++ b/gst-libs/gst/d3d11/meson.build
@@ -71,7 +71,7 @@ d3d11_winapi_desktop = cxx.compiles('''#include <winapifamily.h>
     #if !WINAPI_FAMILY_PARTITION(WINAPI_PARTITION_DESKTOP)
     #error "not win32"
     #endif''',
-    dependencies: [d3d11_lib, dxgi_lib],
+    dependencies : [glib_dep, gobject_dep, d3d11_lib, dxgi_lib],
     name: 'building for Win32')
 
 if runtimeobject_lib.found() and d3dcompiler_lib.found()
@@ -87,7 +87,7 @@ if runtimeobject_lib.found() and d3dcompiler_lib.found()
       #if (WINVER < 0x0A00)
       #error "Windows 10 API is not guaranteed"
       #endif''',
-      dependencies: [d3d11_lib, dxgi_lib, runtimeobject_lib],
+      dependencies : [glib_dep, gobject_dep, d3d11_lib, dxgi_lib, runtimeobject_lib],
       name: 'building for WinRT')
 endif
 
@@ -143,7 +143,7 @@ if not gst_debug_disabled and get_option('debug') and not (d3d11_winapi_only_app
                      @2@ *info_queue = NULL;
                      return 0;
                    }'''.format(header, debug_obj, info_obj)
-    if cc.compiles(compile_code, dependencies: [d3d11_lib, dxgi_lib], name: debug_obj)
+    if cc.compiles(compile_code, dependencies : [glib_dep, gobject_dep, d3d11_lib, dxgi_lib], name: debug_obj)
       set_variable(f.get(3), true)
     endif
   endforeach
@@ -244,7 +244,7 @@ gstd3d11 = library('gstd3d11-' + api_version,
   version : libversion,
   soversion : soversion,
   install : true,
-  dependencies : [gstbase_dep, gstvideo_dep, gmodule_dep, d3d11_lib, dxgi_lib] + extra_deps
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gmodule_dep, d3d11_lib, dxgi_lib] + extra_deps
 )
 
 pkgconfig.generate(gstd3d11,
@@ -285,7 +285,7 @@ install_headers(d3d11_headers, subdir : 'gstreamer-1.0/gst/d3d11')
 
 gstd3d11_dep = declare_dependency(link_with : gstd3d11,
   include_directories : [libsinc],
-  dependencies : [gstbase_dep, gstvideo_dep, d3d11_lib, dxgi_lib],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, d3d11_lib, dxgi_lib],
   sources : gen_sources)
 
 meson.override_dependency(pkg_name, gstd3d11_dep)
diff --git a/gst-libs/gst/dxva/meson.build b/gst-libs/gst/dxva/meson.build
index 6eba003..21e9929 100644
--- a/gst-libs/gst/dxva/meson.build
+++ b/gst-libs/gst/dxva/meson.build
@@ -38,7 +38,7 @@ gstdxva = library('gstdxva-' + api_version,
   version : libversion,
   soversion : soversion,
   install : true,
-  dependencies : [gstvideo_dep, gstcodecs_dep],
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstcodecs_dep],
   override_options: ['cpp_std=c++11'],
 )
 
@@ -71,6 +71,6 @@ gst_libraries += [[pkg_name, library_def]]
 gstdxva_dep = declare_dependency(link_with : gstdxva,
   include_directories : [libsinc],
   sources: gen_sources,
-  dependencies : [gstvideo_dep, gstcodecs_dep])
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstcodecs_dep])
 
 meson.override_dependency(pkg_name, gstdxva_dep)
diff --git a/gst-libs/gst/insertbin/meson.build b/gst-libs/gst/insertbin/meson.build
index 21fe522..5714ef1 100644
--- a/gst-libs/gst/insertbin/meson.build
+++ b/gst-libs/gst/insertbin/meson.build
@@ -10,7 +10,7 @@ gstinsertbin = library('gstinsertbin-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gst_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep],
 )
 
 library_def = {'lib': gstinsertbin}
@@ -49,6 +49,6 @@ gst_libraries += [[pkg_name, library_def]]
 gstinsertbin_dep = declare_dependency(link_with : gstinsertbin,
   include_directories : [libsinc],
   sources: gen_sources,
-  dependencies : [gst_dep])
+  dependencies : [glib_dep, gobject_dep, gst_dep])
 
 meson.override_dependency(pkg_name, gstinsertbin_dep)
diff --git a/gst-libs/gst/interfaces/meson.build b/gst-libs/gst/interfaces/meson.build
index 3c4f388..7610c7d 100644
--- a/gst-libs/gst/interfaces/meson.build
+++ b/gst-libs/gst/interfaces/meson.build
@@ -22,7 +22,7 @@ gstphotography = library('gstphotography-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gst_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep],
 )
 
 pkgconfig.generate(gstphotography,
@@ -35,7 +35,7 @@ pkgconfig.generate(gstphotography,
 
 gstphotography_dep = declare_dependency(link_with : gstphotography,
   include_directories : [libsinc],
-  dependencies : [gst_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep],
   sources : [photoenum_h])
 
 gst_libraries += [[pkg_name, {'lib': gstphotography}]]
diff --git a/gst-libs/gst/isoff/meson.build b/gst-libs/gst/isoff/meson.build
index 3502fb4..232f640 100644
--- a/gst-libs/gst/isoff/meson.build
+++ b/gst-libs/gst/isoff/meson.build
@@ -14,9 +14,9 @@ gstisoff = library('gstisoff-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
 )
 
 gstisoff_dep = declare_dependency(link_with : gstisoff,
   include_directories : [libsinc],
-  dependencies : [gstbase_dep])
+  dependencies : [glib_dep, gobject_dep, gstbase_dep])
diff --git a/gst-libs/gst/mpegts/meson.build b/gst-libs/gst/mpegts/meson.build
index db808b3..d200b40 100644
--- a/gst-libs/gst/mpegts/meson.build
+++ b/gst-libs/gst/mpegts/meson.build
@@ -47,7 +47,7 @@ gstmpegts = library('gstmpegts-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gst_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep],
 )
 
 library_def = {'lib': gstmpegts}
@@ -84,6 +84,6 @@ gst_libraries += [[pkg_name, library_def]]
 
 gstmpegts_dep = declare_dependency(link_with : gstmpegts,
   include_directories : [libsinc],
-  dependencies : [gst_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep],
   sources : gen_sources)
 meson.override_dependency(pkg_name, gstmpegts_dep)
diff --git a/gst-libs/gst/mse/meson.build b/gst-libs/gst/mse/meson.build
index ebc5c33..7b13286 100644
--- a/gst-libs/gst/mse/meson.build
+++ b/gst-libs/gst/mse/meson.build
@@ -80,7 +80,7 @@ gstmse_private_test = library('gstmse-private-test',
   gstmse_sources_all,
   c_args : [gstmse_c_args, '-DBUILDING_GST_MSE_TEST'],
   include_directories : [configinc, libsinc],
-  dependencies : gstmse_deps,
+  dependencies : gstmse_deps + [glib_dep, gobject_dep],
 )
 
 gstmse_private_test_dep = declare_dependency(
@@ -98,7 +98,7 @@ gstmse = library('gstmse-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : gstmse_deps,
+  dependencies : gstmse_deps + [glib_dep, gobject_dep],
 )
 
 pkg_name = 'gstreamer-mse-' + api_version
diff --git a/gst-libs/gst/opencv/meson.build b/gst-libs/gst/opencv/meson.build
index 1d337f1..4134f25 100644
--- a/gst-libs/gst/opencv/meson.build
+++ b/gst-libs/gst/opencv/meson.build
@@ -85,13 +85,13 @@ if opencv_found
     soversion : soversion,
     darwin_versions : osxversion,
     install : true,
-    dependencies : [gstbase_dep, gstvideo_dep, opencv_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, opencv_dep],
   )
 
   gst_libraries += [[pkg_name, {'lib': gstopencv}]]
   gstopencv_dep = declare_dependency(link_with: gstopencv,
     include_directories : [libsinc],
-    dependencies : [gstvideo_dep, opencv_dep])
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, opencv_dep])
   meson.override_dependency(pkg_name, gstopencv_dep)
 
   install_headers(opencv_headers, subdir : 'gstreamer-1.0/gst/opencv')
diff --git a/gst-libs/gst/play/meson.build b/gst-libs/gst/play/meson.build
index 3d38b5c..423b69f 100644
--- a/gst-libs/gst/play/meson.build
+++ b/gst-libs/gst/play/meson.build
@@ -29,7 +29,7 @@ gstplay = library('gstplay-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstbase_dep, gstvideo_dep, gstaudio_dep,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstaudio_dep,
                   gsttag_dep, gstpbutils_dep],
 )
 
@@ -71,7 +71,7 @@ gst_libraries += [[pkg_name, library_def]]
 gstplay_dep = declare_dependency(link_with : gstplay,
   include_directories : [libsinc],
   sources: gen_sources,
-  dependencies : [gstbase_dep, gstvideo_dep, gstaudio_dep,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstaudio_dep,
                   gsttag_dep, gstpbutils_dep])
 
 meson.override_dependency(pkg_name, gstplay_dep)
diff --git a/gst-libs/gst/player/meson.build b/gst-libs/gst/player/meson.build
index 7792382..7af7a99 100644
--- a/gst-libs/gst/player/meson.build
+++ b/gst-libs/gst/player/meson.build
@@ -32,7 +32,7 @@ gstplayer = library('gstplayer-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstbase_dep, gstvideo_dep, gstaudio_dep, gstplay_dep,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstaudio_dep, gstplay_dep,
                   gsttag_dep, gstpbutils_dep],
 )
 
@@ -74,7 +74,7 @@ gst_libraries += [[pkg_name, library_def]]
 gstplayer_dep = declare_dependency(link_with : gstplayer,
   include_directories : [libsinc],
   sources: gen_sources,
-  dependencies : [gstbase_dep, gstvideo_dep, gstaudio_dep, gstplay_dep,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstaudio_dep, gstplay_dep,
                   gsttag_dep, gstpbutils_dep])
 
 meson.override_dependency(pkg_name, gstplayer_dep)
diff --git a/gst-libs/gst/sctp/meson.build b/gst-libs/gst/sctp/meson.build
index 2c0a48c..c92b16c 100644
--- a/gst-libs/gst/sctp/meson.build
+++ b/gst-libs/gst/sctp/meson.build
@@ -18,7 +18,7 @@ libgstsctp = library('gstsctp-' + api_version,
   version : libversion,
   soversion : soversion,
   install : true,
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
 )
 
 pkg_name = 'gstreamer-sctp-1.0'
@@ -33,6 +33,6 @@ pkgconfig.generate(libgstsctp,
 
 gstsctp_dep = declare_dependency(link_with : libgstsctp,
   include_directories : [libsinc],
-  dependencies : [gstbase_dep])
+  dependencies : [glib_dep, gobject_dep, gstbase_dep])
 
 meson.override_dependency(pkg_name, gstsctp_dep)
diff --git a/gst-libs/gst/transcoder/meson.build b/gst-libs/gst/transcoder/meson.build
index 1610cf8..60fc8ee 100644
--- a/gst-libs/gst/transcoder/meson.build
+++ b/gst-libs/gst/transcoder/meson.build
@@ -20,7 +20,7 @@ gst_transcoder = library('gsttranscoder-' + api_version,
   sources + [gsttranscoder_c]  + transcoder_gen_sources,
   install: true,
   include_directories : [configinc, libsinc],
-  dependencies: [gst_dep, gstpbutils_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep, gstpbutils_dep],
   c_args: gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API', '-DBUILDING_GST_TRANSCODER', '-DG_LOG_DOMAIN="GStreamer-Transcoder"'],
   soversion : soversion,
 )
@@ -60,7 +60,7 @@ endif
 gst_libraries += [[pkg_name, library_def]]
 
 gst_transcoder_dep = declare_dependency(link_with: gst_transcoder,
-  dependencies : [gst_dep, gstpbutils_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep, gstpbutils_dep],
   sources: transcoder_gen_sources,
   include_directories : [libsinc]
 )
diff --git a/gst-libs/gst/uridownloader/meson.build b/gst-libs/gst/uridownloader/meson.build
index 4cd4748..4368363 100644
--- a/gst-libs/gst/uridownloader/meson.build
+++ b/gst-libs/gst/uridownloader/meson.build
@@ -19,12 +19,12 @@ gsturidownloader = library('gsturidownloader-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
 )
 
 gsturidownloader_dep = declare_dependency(link_with : gsturidownloader,
   include_directories : [libsinc],
-  dependencies : [gstbase_dep])
+  dependencies : [glib_dep, gobject_dep, gstbase_dep])
 
 gst_libraries += [[pkg_name, {'lib': gsturidownloader}]]
 meson.override_dependency(pkg_name, gsturidownloader_dep)
\ No newline at end of file
diff --git a/gst-libs/gst/va/meson.build b/gst-libs/gst/va/meson.build
index d83b9e3..9486099 100644
--- a/gst-libs/gst/va/meson.build
+++ b/gst-libs/gst/va/meson.build
@@ -124,7 +124,7 @@ gstva = library('gstva-' + api_version,
   version : libversion,
   soversion : soversion,
   install : true,
-  dependencies : [gst_dep, gstbase_dep, gstvideo_dep, gstallocators_dep, libva_dep] + platform_deps,
+  dependencies : [glib_dep, gobject_dep, gst_dep, gstbase_dep, gstvideo_dep, gstallocators_dep, libva_dep] + platform_deps,
 )
 
 library_def = {'lib': gstva}
@@ -164,7 +164,7 @@ install_headers(va_headers, subdir : 'gstreamer-1.0/gst/va/')
 
 gstva_dep = declare_dependency(link_with : gstva,
   include_directories : [libsinc],
-  dependencies : [gst_dep, gstvideo_dep, gstallocators_dep, libva_dep] + platform_deps,
+  dependencies : [glib_dep, gobject_dep, gst_dep, gstvideo_dep, gstallocators_dep, libva_dep] + platform_deps,
   sources : va_gen_sources)
 
 meson.override_dependency(pkg_name, gstva_dep)
